package com.fs.oms.service;

import java.util.List;
import com.fs.oms.domain.OmsWarehouse;
import com.fs.oms.vo.OmsWarehouseVO;

/**
 * 仓库Service接口
 *
 * @author fs
 * @date 2023-05-24
 */
public interface IOmsWarehouseService
{
    /**
     * 查询仓库
     *
     * @param warehouseId 仓库ID
     * @return 仓库
     */
    public OmsWarehouse selectOmsWarehouseById(Long warehouseId);

    /**
     * 查询仓库列表
     *
     * @param omsWarehouse 仓库
     * @return 仓库集合
     */
    public List<OmsWarehouse> selectOmsWarehouseList(OmsWarehouse omsWarehouse);

    /**
     * 查询渠道仓/逻辑仓列表
     *
     * @param omsWarehouse 仓库
     * @return 仓库集合
     */
//    public List<OmsWarehouseVO> selectOmsStoreList1VO(OmsWarehouse omsWarehouse);

    /**
     * 查询仓库列表
     *
     * @param omsWarehouse 仓库
     * @return 仓库集合
     */
    public List<OmsWarehouseVO> selectOmsStoreListVO(OmsWarehouse omsWarehouse);

    /**
     * 新增仓库
     *
     * @param omsWarehouse 仓库
     * @return 结果
     */
    public int insertOmsWarehouse(OmsWarehouse omsWarehouse);

    /**
     * 修改仓库
     *
     * @param omsWarehouse 仓库
     * @return 结果
     */
    public int updateOmsWarehouse(OmsWarehouse omsWarehouse);

    /**
     * 批量删除仓库
     *
     * @param warehouseIds 需要删除的仓库ID
     * @return 结果
     */
    public int deleteOmsWarehouseByIds(Long[] warehouseIds);

    /**
     * 删除仓库信息
     *
     * @param warehouseId 仓库ID
     * @return 结果
     */
    public int deleteOmsWarehouseById(Long warehouseId);


    List<OmsWarehouse> selectOmsWarehouseName(OmsWarehouse omsWarehouse);
}
